Package com.omnisci.thrift.server

## Class OmniSci.get_internal_table_details_result

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.get_internal_table_details_result

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.get_internal_table_details_result>`, `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.get_internal_table_details_result
    extends Object
    implements org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>, Serializable, Cloneable, Comparable<OmniSci.get_internal_table_details_result>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.get_internal_table_details_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TOmniSciException` `e`
`static Map<OmniSci.get_internal_table_details_result._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TTableDetails` `success`

### Constructor Summary

Constructors
`get_internal_table_details_result()`
`get_internal_table_details_result​(OmniSci.get_internal_table_details_result other)` Performs a deep copy on other.
`get_internal_table_details_result​(TTableDetails success, TOmniSciException e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.get_internal_table_details_result other)`
`OmniSci.get_internal_table_details_result` `deepCopy()`
`boolean` `equals​(OmniSci.get_internal_table_details_result that)`
`boolean` `equals​(Object that)`
`OmniSci.get_internal_table_details_result._Fields` `fieldForId​(int fieldId)`
`TOmniSciException` `getE()`
`Object` `getFieldValue​(OmniSci.get_internal_table_details_result._Fields field)`
`TTableDetails` `getSuccess()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.get_internal_table_details_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetE()` Returns true if field e is set (has been assigned a value) and false otherwise
`boolean` `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.get_internal_table_details_result` `setE​(TOmniSciException e)`
`void` `setEIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.get_internal_table_details_result._Fields field, Object value)`
`OmniSci.get_internal_table_details_result` `setSuccess​(TTableDetails success)`
`void` `setSuccessIsSet​(boolean value)`
`String` `toString()`
`void` `unsetE()`
`void` `unsetSuccess()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### success

    public TTableDetails success

#### e

    public TOmniSciException e

#### metaDataMap

    public static final Map<OmniSci.get_internal_table_details_result._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### get_internal_table_details_result

    public get_internal_table_details_result()

#### get_internal_table_details_result

    public get_internal_table_details_result​(TTableDetails success,
                                             TOmniSciException e)

#### get_internal_table_details_result

    public get_internal_table_details_result​(OmniSci.get_internal_table_details_result other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.get_internal_table_details_result deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`

#### getSuccess

    public TTableDetails getSuccess()

#### setSuccess

    public OmniSci.get_internal_table_details_result setSuccess​(TTableDetails success)

#### unsetSuccess

    public void unsetSuccess()

#### isSetSuccess

    public boolean isSetSuccess()

Returns true if field success is set (has been assigned a value) and false otherwise

#### setSuccessIsSet

    public void setSuccessIsSet​(boolean value)

#### getE

    public TOmniSciException getE()

#### setE

    public OmniSci.get_internal_table_details_result setE​(TOmniSciException e)

#### unsetE

    public void unsetE()

#### isSetE

    public boolean isSetE()

Returns true if field e is set (has been assigned a value) and false otherwise

#### setEIsSet

    public void setEIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.get_internal_table_details_result._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.get_internal_table_details_result._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`

#### isSet

    public boolean isSet​(OmniSci.get_internal_table_details_result._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.get_internal_table_details_result that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.get_internal_table_details_result other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.get_internal_table_details_result>`

#### fieldForId

    public OmniSci.get_internal_table_details_result._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.get_internal_table_details_result,​OmniSci.get_internal_table_details_result._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`